Subject: bug#12579: 24.1; Emacs 24.1 / 24.2 (daily) crashes

From: "Fabrice Niessen" <[email-masked]>
Date: Thu, 08 Nov 2012 16:32:48 +0100

Eli, Thierry,

"Fabrice Niessen" wrote:
> Eli Zaretskii wrote:
>>> New infloop. Same context (completing pattern for Helm-for-files). This time,
>>> with a correct .gdbinit file.
>>
>> Next, I'd like to see which process is being waited for.  To this end,
>> next time you have an infloop, go to this stack frame:
>>
>>  #14 0x0102ffff in status_notify (deleting_process=0x3e25e70) at process.c:6606
>>
>> and display the details of the process being deleted.
>
> (gdb) xstring
> $3 = (struct Lisp_String *) 0x3d32f10
> "locate-process"
> (gdb) print p->command
> $4 = 135560334
> (gdb) xtype
> Lisp_Cons
> (gdb) xsymbol
> $5 = (struct Lisp_Symbol *) 0x8147c88
> 0
> (gdb) xstring
> Argument to arithmetic operation not a number or boolean.
> (gdb) xcons
> Argument to arithmetic operation not a number or boolean.
> (gdb) nextcons
> There is no member named u.
> (gdb) xcar
> Argument to arithmetic operation not a number or boolean.

For your information,

- I use a version of Helm from 2 days ago

--8<---------------cut here---------------start------------->8---
  commit 336e7de7e21f6bf1f9163458e34e79407553b8c2
  Author: Thierry Volpiatto <[email-masked]>
  Date:   Tue Nov 6 20:24:24 2012 +0100

      * helm-files.el: Fix ffap stuff.
--8<---------------cut here---------------end--------------->8---

  That one is not important per se, the infloop occurred with earlier versions
  as well. Just for the sake of completeness.

- I do use Thierry's test fix in my .emacs file, that is:

--8<---------------cut here---------------start------------->8---
  ;; TEMP test from Thierry Volpiatto (email from 2012-10-10 Wed 08:47)
  (defun helm-kill-async-process (process)
    "Stop output from `helm-output-filter' and kill associated PROCESS."
    (set-process-filter process t)
    (delete-process process))
--8<---------------cut here---------------end--------------->8---

Best regards,
Fabrice